package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireCheckRecordUserE;

import javax.validation.constraints.NotEmpty;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:12:04
 */
public interface FireCheckRecordUserGateway {

    /**
     * 新增
     */
    Boolean add(FireCheckRecordUserE fireCheckRecordUserE);

    /**
     * 修改
     */
    Boolean update(FireCheckRecordUserE fireCheckRecordUserE);

    /**
     * 删除
     */
    Boolean deletedFireCheckRecordUserById(Long id);

    Boolean deletedFireCheckRecordUserByIds(Long[] id);

    void deletedByCheckRecordId(@NotEmpty(message = "检查记录信息不能为空") String fireRecordId);
}

